From 3cd990fe644ba16c4e6212a4749aa770491b4c0c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 24 2020 23:24:26 +0000
Subject: [PATCH 352/2232] Fix link from CxxString::as_ptr to len method


---

diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index baad468..54fad27 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -58,9 +58,10 @@ impl CxxString {
     /// Note that the return type may look like `const char *` but is not a
     /// `const char *` in the typical C sense, as C++ strings may contain
     /// internal null bytes. As such, the returned pointer only makes sense as a
-    /// string in combination with the length returned by [`len()`](#len).
+    /// string in combination with the length returned by [`len()`][len].
     ///
     /// [data]: https://en.cppreference.com/w/cpp/string/basic_string/data
+    /// [len]: #method.len
     pub fn as_ptr(&self) -> *const u8 {
         unsafe { string_data(self) }
     }

